/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package playlist;

import java.util.Comparator;

/**
 *
 * @author Jessica
 */
public class SongComparator implements Comparator<Song> {

    private int col; 
    /**
     * 
     * @param compare
     * int what to compare
     * can be: 0=path, 1=title, 2=artist or 3=album 4=time
     */
    public SongComparator(int colum)
    {
        this.col = colum;
    }
    
    public int compare(Song o1, Song o2) {
        String s1="";
        String s2="";
        
        if(o1.getsongPath().equals(""))
        {
            return 0;
        }
        
        switch(col){
            case 0: s1 = o1.getsongPath();
                    s2 = o2.getsongPath();
            break;
            case 1: s1 = o1.getMp3Title();
                    s2 = o2.getMp3Title();
            break;
            case 2: s1 = o1.getSongArtist();
                    s2 = o2.getSongArtist();
            break;
            case 3: s1 = o1.getSongAlbum();
                    s2 = o2.getSongAlbum();
            case 4: 
                
                if(o1.getMp3Seconds() > o2.getMp3Seconds()){
                    return 1;
                }
                if(o1.getMp3Seconds() < o2.getMp3Seconds()){
                    return -1;
                }
                if(o1.getMp3Seconds() == o2.getMp3Seconds()){
                    return 0;
                }
                
        }
        
        return s1.compareTo(s2);
    }
}
